Package org.apache.solr.client.solrj.request

## Class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest<T,​ConfigSetAdminResponse>
    - - org.apache.solr.client.solrj.request.ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T>

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConfigSetAdminRequest.Create`, `ConfigSetAdminRequest.Delete`, `ConfigSetAdminRequest.Upload`

Enclosing class:
  ConfigSetAdminRequest<Q extends ConfigSetAdminRequest<Q,​R>,​R extends ConfigSetAdminResponse>

    protected abstract static class ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>>
    extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`ConfigSetAdminRequest.ConfigSetSpecificAdminRequest<T extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>>, ConfigSetAdminRequest.Create, ConfigSetAdminRequest.Delete, ConfigSetAdminRequest.List, ConfigSetAdminRequest.Upload`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

Fields
`protected String` `configSetName`

### Fields inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`action`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`protected` `ConfigSetSpecificAdminRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ConfigSetAdminResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`String` `getConfigSetName()`
`SolrParams` `getParams()`
`T` `setConfigSetName​(String configSetName)`

### Methods inherited from class org.apache.solr.client.solrj.request.ConfigSetAdminRequest

`getRequestType, getThis, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### configSetName

    protected String configSetName

### Constructor Detail

#### ConfigSetSpecificAdminRequest

    protected ConfigSetSpecificAdminRequest()

### Method Detail

#### setConfigSetName

    public final T setConfigSetName​(String configSetName)

#### getConfigSetName

    public final String getConfigSetName()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>,​ConfigSetAdminResponse>`

#### createResponse

    protected ConfigSetAdminResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `ConfigSetAdminRequest<T extends ConfigSetAdminRequest<T,​ConfigSetAdminResponse>,​ConfigSetAdminResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to